package org.kne.cloud.network.ipv6;

import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.function.Consumer;

public interface ControlledIPv6NetworkLink extends IPv6NetworkLink {

	public boolean isCongestion(IPv6Packet iPv6Packet,double scale);
	public default boolean isCongress(IPv6Packet iPv6Packet) {
		return isCongestion(iPv6Packet, 1.0);
	}
	void setRerouteConsumer(Consumer<IPv6Packet> rerouteConsumer);
	public void setCongressCondition(Lock lock,Condition condition);
}
